libnvme(2)

NAME
struct nvme_directive_recv_args - Arguments for the NVMe Directive Receive command

SYNOPSIS
struct nvme_directive_recv_args {
__u32 *result;
void *data;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_directive_receive_doper doper;
enum nvme_directive_dtype dtype;
__u32 cdw12;
__u32 data_len;
__u16 dspec;
};

Members

result
    If successful, the CQE dword0 value

data
    Userspace address of data payload

args_size
    Size of struct nvme_directive_recv_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace ID, if applicable

doper
    Directive send operation, see enum nvme_directive_send_doper

dtype
    Directive type, see enum nvme_directive_dtype

cdw12
    Directive specific command dword12

data_len
    Length of data payload in bytes

dspec
    Directive specific field